class SimpleNoscript {
	constructor (API, name, config) {
		this.API = API;
		this.name = name;
		this.config = config;
	}

	addInsertions () {
		this.API.addInsertion('publiiFooter', this.addCode, 1, this);
	}

	addCode () {
		let extra='';
		if(this.config.Refresh_page){
			let sec=this.config.Refresh_page_sec;
			if (typeof sec == 'undefined'){
				sec=60;
			}
			extra='<meta http-equiv="refresh" content="'+sec+'">';
		}
		let message=this.config.custom_message;
		if (typeof message == 'undefined'){
			message='<p style="text-align:center;"><b>This website requires Javascript to work.<br>Please enable javascript in your browser and refresh the page to view the content.</b></p>';
		}
		let priority=this.config.zindex;
		if (typeof priority == 'undefined'){
			priority=100;
		}
		let bgcolor=this.config.background_color;
		if (typeof bgcolor == 'undefined'){
			bgcolor="#FFFFFF";
		}
		let script='<style type="text/css">.SimpleNoscript{position:fixed;z-index:'+priority+';left:0px;top:0px;width:100%;height:100%;background-color:'+bgcolor+';}</style><noscript><div class="SimpleNoscript">'+message+'</div>'+extra+'</noscript>';
		return script;
	}
}

module.exports = SimpleNoscript;
